- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchGet.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchGet.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchGet.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchGet.md.txt#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchGet.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchGet.md.txt#body.BatchGetOneTimeProductsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchGet.md.txt#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/batchGet.md.txt#try-it)

Reads one or more one-time products.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/oneTimeProducts:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) for which the products should be retrieved. |

### Query parameters

| Parameters ||
|---|---|
| `productIds[]` | `string` Required. A list of up to 100 product IDs to retrieve. All IDs must be different. |

### Request body

The request body must be empty.

### Response body

Response message for the onetimeproducts.batchGet endpoint.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "oneTimeProducts": [ { object (`OneTimeProduct`) } ] } ``` |

| Fields ||
|---|---|
| `oneTimeProducts[]` | ``object (`OneTimeProduct`)`` The list of requested one-time products, in the same order as the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`